<aside>
  <span ng-style="{'background-image':'url('+vm.global.selectedUser.img+'), url(assets/images/default-user.png)'}" class="profile-picture"></span>
  <div class="details">
    <h2>{{vm.global.selectedUser.fullname}} <i class="fa fa-circle-o {{vm.global.selectedUser.online}}"></i></h2>
    <h4>{{vm.global.selectedUser.college}}</h4>
    <h4 ng-if="!vm.global.selectedUserIsMe">
      <i class="fa fa-star" ng-repeat="i in 5 | range" ng-class="{'o': vm.global.selectedUser.rating <= i}" ng-click="vm.rate(i)"></i>
      {{vm.global.selectedUser.ratings_count}} voters
    </h4>
    <h4 ng-if="vm.global.selectedUserIsMe">
      <i class="fa fa-star" ng-repeat="i in 5 | range" ng-class="{'o': vm.global.selectedUser.rating <= i}"></i>
      {{vm.global.selectedUser.ratings_count}} voters
    </h4>
    <button ng-show="vm.global.selectedUser.id != vm.global.user.id" ng-click="vm.addchatwindow(vm.global.selectedUser)"><i class="fa fa-envelope-o"></i> Chat</button>
    <button ng-show="vm.global.selectedUser.id != vm.global.user.id" ng-click="vm.reportVisible = !vm.reportVisible" ng-keyup="$event.preventDefault()"><i class="fa fa-legal"></i> Report
      <div class="report-bubble" ng-class="{'visible': vm.reportVisible}">
        <i class="arrow"></i>
        <textarea ng-model="vm.newReport" placeholder="Enter a report message..." ng-click="$event.stopPropagation()" ng-keydown="$event.stopPropagation(); vm.enterSubmit($event, vm.global.selectedUser)" auto-focus></textarea>
        <a href="javascript:void(0)" ng-click="$event.stopPropagation(); vm.submitReport(vm.global.selectedUser);">Submit</a>
      <div>
    </button>
  </div>
  <div class="navigation">
    <a ng-repeat="navigation in vm.navigations" ng-href="{{navigation.url + vm.global.selectedUser.id}}" ng-class="{'active':vm.activated_link == navigation.name}" ng-click="vm.activate_link(navigation.name)">{{vm.global.selectedUser.id != vm.global.user.id ? vm.global.selectedUser.fullname.split(" ")[0] + "'s " : "My "}} {{navigation.title}}</a>
  </div>
</aside>